Loading...
Searching...
No Matches
pcl::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE > Class Template Reference

`#include <pcl/ml/multi_channel_2d_comparison_feature_handler.h>`

Inheritance diagram for pcl::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >:

## Public Member Functions

| ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator ()
void | generateEvalFunctionCode (std::ostream &stream) const
void | generateEvalCode (const MultiChannel2DComparisonFeature< PointXY32f > &feature, std::ostream &stream) const

## Detailed Description

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS, std::size_t SCALE_CHANNEL, bool INVERT_SCALE>
class pcl::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >

Definition at line 369 of file multi_channel_2d_comparison_feature_handler.h.

## Constructor & Destructor Documentation

## ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator()

template<class DATA_TYPE , std::size_t NUM_OF_CHANNELS, std::size_t SCALE_CHANNEL, bool INVERT_SCALE>

pcl::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator | ( |  | ) |

inline

Definition at line 375 of file multi_channel_2d_comparison_feature_handler.h.

## Member Function Documentation

## generateEvalCode()

template<class DATA_TYPE , std::size_t NUM_OF_CHANNELS, std::size_t SCALE_CHANNEL, bool INVERT_SCALE>

void pcl::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::generateEvalCode | ( | const MultiChannel2DComparisonFeature< PointXY32f > & | feature,
|  | std::ostream & | stream
| ) |  | const

Definition at line 428 of file multi_channel_2d_comparison_feature_handler.h.

References pcl::MultiChannel2DComparisonFeature< PointT >::p1, and pcl::MultiChannel2DComparisonFeature< PointT >::p2.

## generateEvalFunctionCode()

template<class DATA_TYPE , std::size_t NUM_OF_CHANNELS, std::size_t SCALE_CHANNEL, bool INVERT_SCALE>

void pcl::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::generateEvalFunctionCode | ( | std::ostream & | stream | ) | const

Definition at line 394 of file multi_channel_2d_comparison_feature_handler.h.

The documentation for this class was generated from the following file:

- pcl/ml/multi_channel_2d_comparison_feature_handler.h